%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Spell-checking addon for GTK's TextView widget
Name:		gtkspell
Version:	2.0.16
Release:	6
Source0:	http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
License:	GPL+
URL:		http://gtkspell.sourceforge.net/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+2-devel
BuildRequires:	enchant-devel
BuildRequires:  gtk-doc
BuildRequires:  docbook-dtd42-xml
BuildRequires:  intltool
#
BuildRequires:  gnome-common

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires: %name >= %version

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname gtkspell 0 -d}
Requires:	%{libname} = %{version}

%description -n %{develname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  


%prep
%setup -q
#gw the gtk-doc 1.13 bug:
gnome-autogen.sh

%build
%configure2_5x \
    --disable-static

%make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.0.16-6
+ Revision: 8af02cd
- MassBuild#440: Increase release tag


